package services

import "eta/eta_mini_crm_ht/models"

func GetUserPermissionById(userId int) (items []*models.ChartPermissionView, err error) {
	permissionIds, err := models.GetChartPermissionIdByUserId(userId)
	if err != nil {
		return
	}
	if len(permissionIds) == 0 {
		return
	}
	items, err = models.GetChartPermissionListByIds(permissionIds)
	if err != nil {
		return
	}

	return
}
